## mmv 1.01b

=== Makefile ===
# Possible defines in CONF:
#	IS_MSDOS IS_SYSV IS_V7 IS_BSD HAS_DIRENT HAS_RENAME MV_DIR

CC		=gcc -traditional
LD		=$(CC)
CONF		=-DIS_SYSV -DHAS_DIRENT -DHAS_RENAME
CFLAGS		=-O2 -m486 $(CONF)
LDFLAGS		=-s -N

#IBIN		=$(LOCAL)$(ARCH)/bin
#IMAN		=$(LOCAL)$(ANY)/man
IBIN=$(DESTDIR)/usr/bin/
IMAN=$(DESTDIR)/usr/man/

mmv:		mmv.o

clean:
	rm -f mmv mmv.o

install:	$(DEST)$(IBIN)/mmv
install:	$(DEST)$(IMAN)/man1/mmv.1

$(DEST)$(IBIN)/mmv:		mmv;	cp $? $@
$(DEST)$(IMAN)/man1/mmv.1:	mmv.1;	cp $? $@

=== debian/changelog ===
mmv (1.01b-19build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:35:08 +0000

mmv (1.01b-19) unstable; urgency=medium

  * Update my name/email address.
  * Bump Standards-Version to 3.9.6.

 -- Rhonda D'Vine <rhonda@debian.org>  Thu, 21 Jan 2016 21:12:20 +0100

mmv (1.01b-18) unstable; urgency=low

  * Make LFS support working on 32-bit (again?) by adding the output of
    "getconf LFS_CFLAGS" to CFLAGS.
    + Fixes lintian warning binary-file-built-without-LFS-support
    + Closes: #722709
  * Switch to a dh7 style debian/rules file
  * Bump Standards-Version to 3.9.4 (no changes)
  * Apply wrap-and-sort

 -- Axel Beckert <abe@debian.org>  Fri, 13 Sep 2013 21:42:25 +0200

mmv (1.01b-17) unstable; urgency=low

  * Fix lintian warning malformed-override
  * Fix blhc warning dpkg-buildflags-missing by passing CFLAGS explicitly.
  * Fix double build by calling "touch build-stamp" after the build.
  * Add Vcs-* headers

 -- Axel Beckert <abe@debian.org>  Sat, 29 Dec 2012 17:14:25 +0100

mmv (1.01b-16) unstable; urgency=low

  * Add myself as Uploader.
  * Bump Standards-Version to 3.9.3 (no other changes necessary)
  * Switch to source format "3.0 (quilt)"
  * Add slightly modified patch by Ulrich Eckhardt to provide better
    diagnostics for directory renaming (Closes: #584850)
  * Add examples section to man page (Closes: #380327)
  * Add warnings about blanks in patterns and file names when reading
    patterns from STDIN (Mitigates: #149873)
  * Rewrite debian/rules with oldstyle debhelper utilities
    + Use compat-level 9
    + Add build-dependency on debhelper >= 9~
  * Fix lintian-warnings debian-rules-missing-recommended-target
  * Use hardening build flags
    + Add build-dependency on dpkg-dev >= 1.16.1~
    + Add patch to fix FTBFS with -Werror=format-security
  * Fix wrong license reference in debian/copyright
  * Add some lintian overrides related to non-existent upstream web page
    or upstream changelog.

 -- Axel Beckert <abe@debian.org>  Sat, 29 Dec 2012 03:37:29 +0100

mmv (1.01b-15) unstable; urgency=low

  * New Maintainer (closes: #485999)
  * Update to Standards-Version 3.8.1:
    - Switch from DEB_BUILD_OPTIONS debug to noopt, add support for parallel.
  * Replace call to dh_md5sums with direct creation and remove Build-Depends
    on debhelper.
  * Don't ignore make clean errors anymore and use $(MAKE) instead of make in
    debian/rules.
  * Add empty line before .ce The Task Options (closes: #411182)
  * Initialize tv_usec (closes: #452993)
  * Add mising linebreak to an italic line (closes: #411181)
  * Wrap cmdname in basename() (closes: #452989)
  * Add reference to the full text of the GPL file in the common-licenses
    directory.
  * Escape all relevant dashes in the manpage to not turn them into hyphens.

 -- Gerfried Fuchs <rhonda@debian.at>  Sat, 30 May 2009 18:08:18 +0200

mmv (1.01b-14) unstable; urgency=low

  * Thanks for NMU to Joey, Ai and Uwe
  * applied Patch to initialize var (Closes: Bug #316363)
  * removed 2 dozent GCC warnings (uninitialized, unused, ambiquous else)

 -- Bernd Eckenfels <ecki@debian.org>  Sat, 04 Feb 2006 23:58:43 +0100

mmv (1.01b-12.3) unstable; urgency=low

  * NMU
  * Remove postinst and prerm, finishing /usr/doc transition. Closes: #322813

 -- Joey Hess <joeyh@debian.org>  Tue, 10 Jan 2006 00:54:51 -0500

mmv (1.01b-12.2) unstable; urgency=low

  * NMU
  * Fix segfault at startup on amd64 (and possibly other architectures)
    due to implicit declaration of functions from stdlib.h. (Closes: #322541)

 -- Ari Pollak <ari@debian.org>  Sat, 13 Aug 2005 01:01:13 -0400

mmv (1.01b-12.1) unstable; urgency=low

  * Non-Maintainer Upload (BSP 2005-08-06).
  * Fixed FTBFS with gcc 3.4 / 4.0 by applying patch from
    Andreas Jochens (Closes: #260574).

 -- Uwe Hermann <uwe@debian.org>  Sat,  6 Aug 2005 22:07:06 +0200

mmv (1.01b-12) unstable; urgency=low

  * LFS support! (not sure if this breaks something :) (Closes: Bug #106822)
  * support -- as option terminator (Closes: Bug #52417)

 -- Bernd Eckenfels <ecki@debian.org>  Tue, 20 Nov 2001 19:03:24 +0100

mmv (1.01b-11) unstable; urgency=medium

  * added Build-Depends (Closes: Bug #105025)
  * bumped Standards Version from 3.0.1 to 3.6.5
  * make strig/-g depending on environemnt variable
  * added a comment about quoting 'to' patter (Closes: Bug #106076)

 -- Bernd Eckenfels <ecki@debian.org>  Sat, 10 Nov 2001 18:28:56 +0100

mmv (1.01b-10.1) unstable; urgency=LOW

  * reupload cause it was rejected

 -- Bernd Eckenfels <ecki@debian.org>  Thu,  3 Aug 2000 02:38:20 +0200

mmv (1.01b-10) unstable; urgency=LOW

  * debian/rules clean will now kill *~ files

 -- Bernd Eckenfels <ecki@debian.org>  Sun, 23 Jul 2000 04:28:46 +0200

mmv (1.01b-9) unstable; urgency=LOW

  * closes: #67605 (no special handling for char > 127 anymore)
  * clsoes: #60128 (i think it was fixed by hartmut already)
  * man page and doc now in /usr/share, new standards version

 -- Bernd Eckenfels <ecki@debian.org>  Sun, 23 Jul 2000 04:08:19 +0200

mmv (1.01b-8.1) unstable; urgency=LOW

  * NMU
  * fixed the invalid initializer for glibc-2.1
  * closes: #31929
  * changed in debian/rules in the clean target:
      + /bin/rm -f  into -rm -f 
      + make into -make
      + added *~

 -- Hartmut Koptein <koptein@debian.org>  Fri,  9 Jul 1999 10:24:17 +0200

mmv (1.01b-8) unstable; urgency=LOW

  * should compile now with different headers (Bug#26955).

 -- Bernd Eckenfels <ecki@debian.org>  Sun,  1 Nov 1998 05:36:36 +0100

mmv (1.01b-7) frozen unstable; urgency=LOW

  * Remove debian/files with make clean (Bug#21526).

 -- Michael Meskes <meskes@debian.org>  Wed, 22 Apr 1998 16:19:30 +0200

mmv (1.01b-6) frozen unstable; urgency=LOW

  * Make lintian happy.

 -- Michael Meskes <meskes@debian.org>  Fri, 17 Apr 1998 14:36:19 +0200

mmv (1.01b-5) unstable; urgency=LOW



=== debian/control ===
Source: mmv
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Rhonda D'Vine <rhonda@debian.org>
Uploaders: Axel Beckert <abe@debian.org>
Section: utils
Priority: optional
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9~),
               dpkg-dev (>= 1.16.1~)
Vcs-Git: git://git.deb.at/pkg/mmv.git
Vcs-Browser: http://git.deb.at/w/pkg/mmv.git

Package: mmv
Architecture: any
Description: Move/Copy/Append/Link multiple files
 mmv is a program to move/copy/append/link multiple files
 according to a set of wildcard patterns. This multiple action is
 performed safely, i.e. without any unexpected deletion of files due to
 collisions of target names with existing filenames or with other
 target names.
Depends: ${misc:Depends},
         ${shlibs:Depends}

=== debian/rules ===
#! /usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- LDFLAGS="$(LDFLAGS)" CFLAGS="$(CFLAGS) $(shell getconf LFS_CFLAGS) -DIS_SYSV -DHAS_DIRENT -DHAS_RENAME"

## mmv 2.3

=== debian/changelog ===
mmv (2.3-1) unstable; urgency=medium

  * New upstream minor bugfix release.
    + Drop build-aux/ltmain.sh from debian/copyright —- no more shipped.
    + Update main license from GPL to GPL-3+ and remove lintian override.

 -- Axel Beckert <abe@debian.org>  Mon, 14 Mar 2022 00:12:07 +0100

mmv (2.1-1) unstable; urgency=medium

  * Move packaging git repo to Salsa and update Vcs-* header accordingly.
  * Bump debhelper compat level to 13 and use debhelper-comapt build-dep
    instead of debian/compat.
  * Enable all hardening build flags. Thanks Lintian!
  * Remove trailing whitespace in debian/changelog. Thanks Lintian!
  * Set "Rules-Requires-Root: no". Thanks Lintian!
  * Convert debian/copyright to machine-readable DEP-5 format.
    + Add lintian override for copyright-refers-to-symlink-license as the
      upstream statement didn't mention a version, just "the GPL", and
      hence any version should acceptable.
  * Switch to new upstream at https://github.com/rrthomas/mmv.
    + Add a debian/watch file and drop according lintian overrides.
    + Add Homepage header and drop according lintian overrides.
  * Import new upstream release 2.1. (Closes: #985325, #1006481)
    + Removes ability to append. Update package description and links in
      debian/links accordingly.
    + Removes (buggy) ability to read output from "mmv -n" and rename
      files accordingly. Suggest renameutils instead. (Closes: #149873)
    + Add a NEWS.Debian file mentioning these two feature removals.
    + Drop remaining original lintian override "no-upstream-changelog".
    + Drop all patches. All issues fixed upstream according to upstream.
    + Drop binary links from debian/links, upstream installation routines
      already create them now.
    + Drop debian/dirs, upstream installation routines already take care.
    + Drop debian/docs as the README file now has a common, detected name.
    + debian/rules: Drop hardcoded configuration variables. Thanks Reuben
      Thomas for that hint!
    + Add new build-dependencies (thanks to Reuben Thomas for some hints):
      gengetopt, help2man, pkg-config and libgc-dev.
    + Update debian/copyright.
    + Add lintian override for too long lines in aclocal.m4.
  * Declare compliance with Debian Policy 4.6.0. (No further changes were
    needed.)
  * Update package description as suggested by the new upstream.

 -- Axel Beckert <abe@debian.org>  Sun, 27 Feb 2022 21:55:46 +0100

=== debian/control ===
Source: mmv
Maintainer: Rhonda D'Vine <rhonda@debian.org>
Uploaders: Axel Beckert <abe@debian.org>
Section: utils
Priority: optional
Standards-Version: 4.6.0
Build-Depends: debhelper-compat (= 13),
               dpkg-dev (>= 1.16.1~),
               gengetopt,
               help2man,
               libgc-dev,
               pkg-config
Vcs-Git: https://salsa.debian.org/debian/mmv.git
Vcs-Browser: https://salsa.debian.org/debian/mmv
Homepage: https://github.com/rrthomas/mmv
Rules-Requires-Root: no

Package: mmv
Architecture: any
Description: Move/Copy/Link multiple files and directories
 mmv is a program to move/copy/link multiple files and directories
 according to a set of wildcard patterns. This multiple action is
 performed without any unexpected deletions due to collisions of
 target names with existing filenames or with other target names.
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: renameutils

=== debian/watch ===
version=4
https://github.com/rrthomas/mmv/releases .*/mmv-(\d[-0-9a-zA-Z._]*)\.tar\.[gx]z

## mmv 2.5

=== debian/changelog ===
mmv (2.5-1ubuntu0.1) mantic; urgency=medium

  * Add changes from gnulib reallocarray to fix an invalid pointer when
    using mmv with more than 9 files. (LP: #2044264)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 19 Jan 2024 21:16:45 +0000

mmv (2.5-1) unstable; urgency=medium

  * Minor upstream bugfix release.
    + Update licenses for upstream generated files under lib. (GPL → LGPL)
    + Also update upstream copyright years.
  * Add patch to fix minor man page issue (\\ vs \e).

 -- Axel Beckert <abe@debian.org>  Fri, 21 Jul 2023 13:29:31 +0200

mmv (2.4-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove versioned Build-Depends on dpkg-dev unnecessary since Jessie.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Axel Beckert ]
  * debian/watch: Use Github API as release page no more contains
    assets. 😒
  * Import new upstream release 2.4.
    + Drop m4/std-gnu11.m4 from debian/copyright. Thanks Lintian!
    + Bump copyright years in debian/copyright.
  * Bracketize lintian overrides.
  * Declare compliance with Debian Policy 4.6.2. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Thu, 15 Jun 2023 00:14:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: mmv
-Maintainer: Rhonda D'Vine <rhonda@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Rhonda D'Vine <rhonda@debian.org>
 Uploaders: Axel Beckert <abe@debian.org>
 Section: utils
 Priority: optional
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13),
-               dpkg-dev (>= 1.16.1~),
                gengetopt,
                help2man,
                libgc-dev,

## mmv 2.5.1

=== debian/changelog ===
mmv (2.5.1-1) unstable; urgency=high

  * Upstream bugfix release.
    + Fixes realloc() crash by reverting to an older gnulib release.
      (Closes: #1042020)

 -- Axel Beckert <abe@debian.org>  Wed, 06 Sep 2023 22:40:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: mmv
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Rhonda D'Vine <rhonda@debian.org>
+Maintainer: Rhonda D'Vine <rhonda@debian.org>
 Uploaders: Axel Beckert <abe@debian.org>
 Section: utils
 Priority: optional

=== debian/rules ===
#! /usr/bin/make -f

DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- LDFLAGS="$(LDFLAGS)" CFLAGS="$(CFLAGS) $(shell getconf LFS_CFLAGS)"

=== debian/watch ===
version=4
opts="searchmode=plain" \
https://api.github.com/repos/rrthomas/mmv/releases https://github.com/rrthomas/mmv/releases/download/v\d[-0-9a-zA-Z._]*/mmv-(\d[-0-9a-zA-Z._]*)@ARCHIVE_EXT@

## mmv im2im-0.4.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = mmv_im2im
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
